#pragma once
#include <stdint.h>

#define FONT_WIDTH 8
#define FONT_HEIGHT 16

extern uint32_t *fb;
extern uint32_t fb_width;
extern uint32_t fb_height;
extern uint32_t fb_pitch;


void putchar(char c);
void putchar_colored(char c, uint32_t color);
void draw_image(uint32_t *img, int x0, int y0);
void draw_image_bilinear(uint32_t *img, int x0, int y0, int new_w, int new_h);
void clear_screen(uint32_t color);
void backspace();